<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;
use Twig\TemplateWrapper;

/* themes/jeda/templates/nodes/node--room.html.twig */
class __TwigTemplate_737d85bc53ec878bb5b053ec2f6cf9e4 extends Template
{
    private Source $source;
    /**
     * @var array<string, Template>
     */
    private array $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
        $this->sandbox = $this->extensions[SandboxExtension::class];
        $this->checkSecurity();
    }

    protected function doDisplay(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 1
        yield "<main class=\"node node--room node--";
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["node"] ?? null), "id", [], "any", false, false, true, 1), 1, $this->source), "html", null, true);
        yield "\">

    ";
        // line 3
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["content"] ?? null), "field_slider", [], "any", false, false, true, 3), 3, $this->source), "html", null, true);
        yield "

    <section class=\"welcome\">
        <div class=\"welcome__container container--normal\">
            <div class=\"welcome__left welcome--part\">
                <div class=\"welcome__image\">";
        // line 8
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["content"] ?? null), "field_welcome_left_image", [], "any", false, false, true, 8), 8, $this->source), "html", null, true);
        yield "</div>
            </div>
            <div class=\"welcome__center welcome--part\">
                <h2 class=\"welcome__heading font--cormorant weight--light text--upper\">";
        // line 11
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["content"] ?? null), "field_heading", [], "any", false, false, true, 11), 11, $this->source), "html", null, true);
        yield "</h2>
                <div class=\"welcome__text font--poppins\">";
        // line 12
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["content"] ?? null), "body", [], "any", false, false, true, 12), 12, $this->source), "html", null, true);
        yield "</div>
                <div class=\"welcome__features\">";
        // line 13
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["content"] ?? null), "field_room_features", [], "any", false, false, true, 13), 13, $this->source), "html", null, true);
        yield "</div>
                <a class=\"book-button center\"><span>Book Now</span></a>
            </div>
            <div class=\"welcome__right welcome--part\">
                <div class=\"welcome__image\">";
        // line 17
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["content"] ?? null), "field_welcome_right_image", [], "any", false, false, true, 17), 17, $this->source), "html", null, true);
        yield "</div>
            </div>
        </div>
    </section>

    <section class=\"amenities\">
        <div class=\"amenities__container container--small\">
            <h3 class=\"amenities__heading weight--light text--center\">
                ";
        // line 25
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["content"] ?? null), "field_amenities_label", [], "any", false, false, true, 25), 25, $this->source), "html", null, true);
        yield "
            </h3>
            <div class=\"amenities__list\">
                ";
        // line 28
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["content"] ?? null), "field_amenities", [], "any", false, false, true, 28), 28, $this->source), "html", null, true);
        yield "
            </div>
        </div>
    </section>

    <section class=\"gallery\">
        <div class=\"gallery__container\">";
        // line 34
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["content"] ?? null), "field_gallery", [], "any", false, false, true, 34), 34, $this->source), "html", null, true);
        yield "</div>
    </section>

    <section class=\"services\">
        <div class=\"services__container container--small vertical-space-100\">
            <h3 class=\"services__heading weight--light\">";
        // line 39
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["content"] ?? null), "field_services_label", [], "any", false, false, true, 39), 39, $this->source), "html", null, true);
        yield "</h3>
            <div class=\"services__description\">";
        // line 40
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["content"] ?? null), "field_services", [], "any", false, false, true, 40), 40, $this->source), "html", null, true);
        yield "</div>
        </div>
    </section>

    <section class=\"also\">
        <div class=\"also__container container--small\">
            <h3 class=\"also__heading weight--light text--center\">";
        // line 46
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["content"] ?? null), "field_see_also_label", [], "any", false, false, true, 46), 46, $this->source), "html", null, true);
        yield "</h3>
            <div class=\"also__wrapper\">";
        // line 47
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, views_embed_view("rooms", "other"), "html", null, true);
        yield "</div>
        </div>
    </section>

</main>
";
        $this->env->getExtension('\Drupal\Core\Template\TwigExtension')
            ->checkDeprecations($context, ["node", "content"]);        yield from [];
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName(): string
    {
        return "themes/jeda/templates/nodes/node--room.html.twig";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable(): bool
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo(): array
    {
        return array (  130 => 47,  126 => 46,  117 => 40,  113 => 39,  105 => 34,  96 => 28,  90 => 25,  79 => 17,  72 => 13,  68 => 12,  64 => 11,  58 => 8,  50 => 3,  44 => 1,);
    }

    public function getSourceContext(): Source
    {
        return new Source("", "themes/jeda/templates/nodes/node--room.html.twig", "C:\\Users\\Ja\\PhpstormProjects\\jeda\\web\\themes\\jeda\\templates\\nodes\\node--room.html.twig");
    }
    
    public function checkSecurity()
    {
        static $tags = array();
        static $filters = array("escape" => 1);
        static $functions = array("drupal_view" => 47);

        try {
            $this->sandbox->checkSecurity(
                [],
                ['escape'],
                ['drupal_view'],
                $this->source
            );
        } catch (SecurityError $e) {
            $e->setSourceContext($this->source);

            if ($e instanceof SecurityNotAllowedTagError && isset($tags[$e->getTagName()])) {
                $e->setTemplateLine($tags[$e->getTagName()]);
            } elseif ($e instanceof SecurityNotAllowedFilterError && isset($filters[$e->getFilterName()])) {
                $e->setTemplateLine($filters[$e->getFilterName()]);
            } elseif ($e instanceof SecurityNotAllowedFunctionError && isset($functions[$e->getFunctionName()])) {
                $e->setTemplateLine($functions[$e->getFunctionName()]);
            }

            throw $e;
        }

    }
}
