<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;
use Twig\TemplateWrapper;

/* themes/jeda/templates/pages/page.html.twig */
class __TwigTemplate_f03c554d52f97c32ca7f65c402056aaf extends Template
{
    private Source $source;
    /**
     * @var array<string, Template>
     */
    private array $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
        $this->sandbox = $this->extensions[SandboxExtension::class];
        $this->checkSecurity();
    }

    protected function doDisplay(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 2
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->extensions['Drupal\Core\Template\TwigExtension']->attachLibrary(($this->sandbox->ensureToStringAllowed(($context["theme_name"] ?? null), 2, $this->source) . "/slick")), "html", null, true);
        yield "
";
        // line 3
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->extensions['Drupal\Core\Template\TwigExtension']->attachLibrary(($this->sandbox->ensureToStringAllowed(($context["theme_name"] ?? null), 3, $this->source) . "/aos")), "html", null, true);
        yield "
";
        // line 4
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->extensions['Drupal\Core\Template\TwigExtension']->attachLibrary(($this->sandbox->ensureToStringAllowed(($context["theme_name"] ?? null), 4, $this->source) . "/scrolla")), "html", null, true);
        yield "
";
        // line 5
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->extensions['Drupal\Core\Template\TwigExtension']->attachLibrary(($this->sandbox->ensureToStringAllowed(($context["theme_name"] ?? null), 5, $this->source) . "/scripts")), "html", null, true);
        yield "

";
        // line 7
        $context["headerClasses"] = ["top-bar", ((        // line 9
($context["logged_in"] ?? null)) ? ("top-bar--logged") : (""))];
        // line 11
        yield "
<header";
        // line 12
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["attributes"] ?? null), "addClass", [($context["headerClasses"] ?? null)], "method", false, false, true, 12), 12, $this->source), "html", null, true);
        yield ">
    <div class=\"top-bar--logo\">
        <a class=\"logo logo--mobile branding\" href=\"";
        // line 14
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar($this->extensions['Drupal\Core\Template\TwigExtension']->getPath("<front>"));
        yield "\" rel=\"home\">
            <img alt=\"Logo\" class=\"branding__img\" src=\"";
        // line 15
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["logo"] ?? null), 15, $this->source), "html", null, true);
        yield "\" />
        </a>
    </div>
    ";
        // line 18
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "header", [], "any", false, false, true, 18), 18, $this->source), "html", null, true);
        yield "
    <div class=\"top-bar--book\">
        <a class=\"book-button background reset-margin\"><span>Book Now</span></a>
    </div>
</header>

";
        // line 24
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "content", [], "any", false, false, true, 24), 24, $this->source), "html", null, true);
        yield "

<footer class=\"bottom-bar\">
    <div class=\"bottom-bar__container container--normal font--lato\">
        <div class=\"bottom-bar__row bottom-bar--row-1\">
            <div class=\"bottom-bar__logo\">
                <a class=\"branding branding--footer\" href=\"";
        // line 30
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar($this->extensions['Drupal\Core\Template\TwigExtension']->getPath("<front>"));
        yield "\" rel=\"home\">
                    <img alt=\"Logo\" class=\"branding__img\" src=\"";
        // line 31
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["logo"] ?? null), 31, $this->source), "html", null, true);
        yield "\" />
                </a>
            </div>
        </div>

        <div class=\"bottom-bar__row bottom-bar--row-2\">
            <div class=\"bottom-bar__info remove-last-margin bottom-bar--column\">
                <div class=\"bottom-bar__label\">";
        // line 38
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(t("INFO"));
        yield "</div>
                ";
        // line 39
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "footer", [], "any", false, false, true, 39), "footer", [], "any", false, false, true, 39), 39, $this->source), "html", null, true);
        yield "
            </div>

            <div class=\"bottom-bar__menu bottom-bar--column\">
                <div class=\"bottom-bar__label\">";
        // line 43
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(t("JEDA"));
        yield "</div>
                ";
        // line 44
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "footer", [], "any", false, false, true, 44), "footer_menu", [], "any", false, false, true, 44), 44, $this->source), "html", null, true);
        yield "
            </div>

            <div class=\"bottom-bar__faq bottom-bar--column\">
                <div class=\"bottom-bar__label\">";
        // line 48
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(t("FAQ"));
        yield "</div>
                ";
        // line 49
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "footer", [], "any", false, false, true, 49), "faq", [], "any", false, false, true, 49), 49, $this->source), "html", null, true);
        yield "
            </div>
        </div>
    </div>
</footer>
";
        $this->env->getExtension('\Drupal\Core\Template\TwigExtension')
            ->checkDeprecations($context, ["theme_name", "logged_in", "attributes", "logo", "page"]);        yield from [];
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName(): string
    {
        return "themes/jeda/templates/pages/page.html.twig";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable(): bool
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo(): array
    {
        return array (  140 => 49,  136 => 48,  129 => 44,  125 => 43,  118 => 39,  114 => 38,  104 => 31,  100 => 30,  91 => 24,  82 => 18,  76 => 15,  72 => 14,  67 => 12,  64 => 11,  62 => 9,  61 => 7,  56 => 5,  52 => 4,  48 => 3,  44 => 2,);
    }

    public function getSourceContext(): Source
    {
        return new Source("", "themes/jeda/templates/pages/page.html.twig", "C:\\Users\\Ja\\PhpstormProjects\\jeda\\web\\themes\\jeda\\templates\\pages\\page.html.twig");
    }
    
    public function checkSecurity()
    {
        static $tags = array("set" => 7);
        static $filters = array("escape" => 2, "t" => 38);
        static $functions = array("attach_library" => 2, "path" => 14);

        try {
            $this->sandbox->checkSecurity(
                ['set'],
                ['escape', 't'],
                ['attach_library', 'path'],
                $this->source
            );
        } catch (SecurityError $e) {
            $e->setSourceContext($this->source);

            if ($e instanceof SecurityNotAllowedTagError && isset($tags[$e->getTagName()])) {
                $e->setTemplateLine($tags[$e->getTagName()]);
            } elseif ($e instanceof SecurityNotAllowedFilterError && isset($filters[$e->getFilterName()])) {
                $e->setTemplateLine($filters[$e->getFilterName()]);
            } elseif ($e instanceof SecurityNotAllowedFunctionError && isset($functions[$e->getFunctionName()])) {
                $e->setTemplateLine($functions[$e->getFunctionName()]);
            }

            throw $e;
        }

    }
}
